In addition looking for plugins named lib*, look for libZeroc* to
match the renamed Ice libraries for compatibility with xorg-libice's
libICE.*.

diff -ru Ice-3.5.0.orig/cpp/src/Ice/DynamicLibrary.cpp Ice-3.5.0/cpp/src/Ice/DynamicLibrary.cpp
--- Ice-3.5.0.orig/cpp/src/Ice/DynamicLibrary.cpp	2013-03-11 08:19:46.000000000 -0700
+++ Ice-3.5.0/cpp/src/Ice/DynamicLibrary.cpp	2013-03-11 21:57:17.560249335 -0700
@@ -138,10 +138,15 @@
 
     lib += ".dll";
 #elif defined(__APPLE__)
+    // Look for libZeroc... to handle the MacPorts
+    // s/libIce/libZerocIce/ rename.
+    string libZeroc = lib;
     lib += "lib" + libName;
+    libZeroc += "libZeroc" + libName;
     if(!version.empty())
     {
         lib += "." + version;
+        libZeroc += "." + version;
     }
 #elif defined(__hpux)
     lib += "lib" + libName;
@@ -175,7 +180,10 @@
     //
     if(!load(lib + ".dylib"))
     {
-        string errMsg = _err;
+      string errMsg = _err;
+      if(!load(libZeroc + ".dylib"))
+      { 
+        errMsg += "; " + _err;
         if(!load(lib + ".so"))
         {
             errMsg += "; " + _err;
@@ -185,7 +193,8 @@
                 return 0;
             }
         }
-        _err = "";
+      }
+      _err = "";
     }
 #else
     if(!load(lib))
